<?php

namespace WpBookingHotelAdminWooPanel\app\views\wishlist;

use WpBookingHotel\Html\ToolBar;
use WpBookingHotel\Mvc\Model\Model;
use WpBookingHotel\Mvc\View\View;
use WpBookingHotel\Factory as FactoryAlias;

class WishlistView extends View
{
    public function display($tpl)
    {
        $modelcategory = Model::getInstance("wishlist");
        $input = FactoryAlias::getInput();
        switch ($tpl) {
            case "list":
                ToolBar::add("wishlist.add");
                ToolBar::delete("wishlist.delete_list");
                ToolBar::_clone("wishlist.clone_list");
                $model = Model::getInstance("wishlists");
                $this->list = $model->getList();
                break;
        }
        return parent::display($tpl);
    }
}